@font-face {
    font-family: Font;
    src: url(rsc/font.ttf);
}

:root {
    --background-color: rgb(0,0,78);
    --background-inv-color: rgb(0,0,164);
    --text-color: rgb(87, 191, 255);
    --text-inv-color: rgb(87, 191, 255);
    --link-color: rgb(191, 191, 191);
}

a {
    color: var(--link-color);
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

hr {
    clear: both;
    width: 100%;
    border-style: solid;
    background-color: var(--text-color);
    border-color: var(--text-color);
}

body {
    color: var(--text-color);
    background-color: var(--background-color);
    font-family: Font;
    /*font-weight: bold;*/
    font-size: 16px;
}

.underlined {
    text-decoration: underline;
}

/* Align children horizontally to different sides */
.center {
    text-align: center;
    align-items: center;
}

.left {
    text-align: left;
    align-items: left;
}

.right {
    text-align: right;
    align-items: right;
}

.section_title {
    text-decoration: underline;
    font-size: x-large;
    margin-top: 0px;
    font-weight: 800;
}

.section {
    height: 95vh;

    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    justify-content: center;
    font-weight: 450;
    letter-spacing: 0px;
    
}

.section.section_expandable {
    height: auto;
    min-height: 95vh;
}

.theme_switcher {
    position: absolute;
    right: 10px;
    top: 10px;
    z-index: 10;
    padding: 5px;
    outline-width: 2px;
    outline-style: solid;
    user-select: none;
    color: var(--text-inv-color);
    background-color: var(--background-inv-color);
}

/* Scrolling */
.arrow {
    width: 30px;
}

.scroll_button {
    color: var(--text-color);
    background-color: var(--background-color);
    border-style: none;
}

.scroll_button_container {
    position: relative;
    text-align: center;
}

/* Name section */
.name_header {
    display: grid;
    padding-top: 0px;
    margin-top: 0;
    font-size: 80px;
    font-weight: bolder;
    place-items: center;
    height: 60px;
    letter-spacing: 3px;
}

.under_name_header {
    font-weight: 400;
}

/* Bio section */
.info_and_links {
}

.description {
    width: clamp(250px, 80vw, 800px);
    max-width: 80vw;
    margin: 0 auto;
    text-align: left;
}

.links {
    font-weight: 600;
    width: 100%;
}

/* Projects section */
.projects {
    margin-top: 100px;
}

.project_list {
    width: clamp(100px, 80vw, 800px);
    max-width: 80vw;
    margin: 0 auto;
    text-align: left;
}

.project {
    text-align: left;
    outline-style: solid;
    padding: 10px;
    margin-bottom: 20px;
}

.project_name {
    display: inline;
    /*text-decoration: underline;*/
    font-weight: 700;
}

.project_link {
    font-weight: 600;
    clear: both;
}

.project_description {
    text-align: left;
    margin-top: 10px;
    margin-left: 10px;
    margin-right: 10px;
}

.project_image {
    width: 100%;
    height: auto;
}

@media (max-width: 768px) {
}
